com.genesyslab.wfm8.API.service.scheduleTrade852

## Class SchTradeValidation

- java.lang.Object
- - com.genesyslab.wfm8.API.service.scheduleTrade852.SchTradeValidation

- All Implemented Interfaces:
    java.io.Serializable

      public class SchTradeValidation
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SchAgentDayHolder` | `agentDayHolder`
    `protected SchTrade` | `schTrade`
    `protected SchValidationHolder` | `schValidation`
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchTradeValidation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `SchAgentDayHolder` | `getAgentDayHolder()` Gets the value of the agentDayHolder property.
    `SchTrade` | `getSchTrade()` Gets the value of the schTrade property.
    `SchValidationHolder` | `getSchValidation()` Gets the value of the schValidation property.
    `int` | `hashCode()`
    `void` | `setAgentDayHolder(SchAgentDayHolder value)` Sets the value of the agentDayHolder property.
    `void` | `setSchTrade(SchTrade value)` Sets the value of the schTrade property.
    `void` | `setSchValidation(SchValidationHolder value)` Sets the value of the schValidation property.
    `java.lang.String` | `toString()`
    `SchTradeValidation` | `withAgentDayHolder(SchAgentDayHolder value)`
    `SchTradeValidation` | `withSchTrade(SchTrade value)`
    `SchTradeValidation` | `withSchValidation(SchValidationHolder value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### schTrade

          protected SchTrade schTrade

    - #### schValidation

          protected SchValidationHolder schValidation

    - #### agentDayHolder

          protected SchAgentDayHolder agentDayHolder

  - ### Constructor Detail

    - #### SchTradeValidation

          public SchTradeValidation()

  - ### Method Detail

    - #### getSchTrade

          public SchTrade getSchTrade()

      Gets the value of the schTrade property.
      Returns:
        possible object is `SchTrade`

    - #### setSchTrade

          public void setSchTrade(SchTrade value)

      Sets the value of the schTrade property.
      Parameters:
        `value` - allowed object is `SchTrade`

    - #### getSchValidation

          public SchValidationHolder getSchValidation()

      Gets the value of the schValidation property.
      Returns:
        possible object is `SchValidationHolder`

    - #### setSchValidation

          public void setSchValidation(SchValidationHolder value)

      Sets the value of the schValidation property.
      Parameters:
        `value` - allowed object is `SchValidationHolder`

    - #### getAgentDayHolder

          public SchAgentDayHolder getAgentDayHolder()

      Gets the value of the agentDayHolder property.
      Returns:
        possible object is `SchAgentDayHolder`

    - #### setAgentDayHolder

          public void setAgentDayHolder(SchAgentDayHolder value)

      Sets the value of the agentDayHolder property.
      Parameters:
        `value` - allowed object is `SchAgentDayHolder`

    - #### withSchTrade

          public SchTradeValidation withSchTrade(SchTrade value)

    - #### withSchValidation

          public SchTradeValidation withSchValidation(SchValidationHolder value)

    - #### withAgentDayHolder

          public SchTradeValidation withAgentDayHolder(SchAgentDayHolder value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.